
Infrastructure - Task #7471

The v2 services don't show up for cn node at cn/v2/node

2015-11-06 17:48 - Jing Tao

Status: Closed Start date: 2015-11-06

Priority: Urgent Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

On this url:

https://cn-dev-2.test.dataone.org/cn/v2/node

You will see there are only v1 services for cn nodes. Actually the three cns have the v2 version services. But the v2 version services

show up for some member nodes.

Associated revisions

Revision 18272 - 2016-08-10 20:35 - Robert Waltz

refs #7471

Adding in all the v2 services to the ldifs that were added into openldap previously before release of v2

History

#1 - 2015-11-13 20:17 - Jing Tao

- Assignee set to Robert Waltz

#2 - 2015-11-13 20:19 - Jing Tao

This url maybe more helpful:

https://cn-dev-2.test.dataone.org/cn/

#3 - 2015-11-13 20:56 - Robert Waltz

- % Done changed from 0 to 30

- Category set to d1_cn_buildout

- Status changed from New to In Progress

- Priority changed from Normal to Urgent

#4 - 2015-11-17 15:35 - Robert Waltz

- File Dev-v2NodeService.ldif added

- File Dev2-v2NodeService.ldif added

- File Prod-v2NodeService.ldif added

- File Sandbox-v2NodeService.ldif added

- File Stage-v2NodeService.ldif added

Attached are ldif files that will create the v2 service descriptions for the Production, Stage, Sandbox, Dev and Dev2 environments. 

Sandbox, Dev and Dev2 have already had the ldifs applied.
Stage and Production will need to be added after v2 packages have been upgraded.

in order to upgrade, run this command:

ldapadd -c -D cn=admin,dc=dataone,dc=org -W -H ldap://localhost:389 -x -f  

#5 - 2015-12-17 18:59 - Skye Roseboom

This has been done for sandbox, stage-1, and production

#6 - 2016-08-10 20:36 - Robert Waltz

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 30 to 100

- Status changed from In Progress to Closed

Files

Sandbox-v2NodeService.ldif 7.87 KB 2015-11-17 Robert Waltz

Stage-v2NodeService.ldif 7.74 KB 2015-11-17 Robert Waltz

Dev-v2NodeService.ldif 7.62 KB 2015-11-17 Robert Waltz

Dev2-v2NodeService.ldif 5.72 KB 2015-11-17 Robert Waltz

Prod-v2NodeService.ldif 7.43 KB 2015-11-17 Robert Waltz
